pydo.apps.get_event()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.apps.get_event(
    app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
    event_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
)
Returns JSONRaises HttpResponseError

Description

Get a single event for an app.

Parameters

app_id string required

The app ID

event_id string required

The event ID

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.apps.get_event(app_id="4f6c71e2", event_id="3aa4d20e")

Response Example

Show Response Example
{
  "event": {
    "id": "ba32b134-569c-4c0c-ba02-8ffdb0492ece",
    "type": "DEPLOYMENT",
    "created_at": "2023-10-01T12:00:00Z",
    "deployment_id": "c020763f-ddb7-4112-a0df-7f01c69fc00b",
    "deployment": {
      "cause": "commit 9a4df0b pushed to github/digitalocean/sample-golang",
      "cloned_from": "3aa4d20e-5527-4c00-b496-601fbd22520a",
      "created_at": "2020-07-28T18:00:00Z",
      "id": "b6bdf840-2854-4f87-a36c-5f231c617c84",
      "jobs": [],
      "functions": [],
      "phase": "ACTIVE",
      "phase_last_updated_at": "0001-01-01T00:00:00Z",
      "services": [],
      "static_sites": [],
      "tier_slug": "basic",
      "updated_at": "2020-07-28T18:00:00Z",
      "workers": []
    },
    "autoscaling": {
      "phase": "SUCCEEDED"
    }
  }
}

More Information

See /v2/apps/{app_id}/events/{event_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.